<?php

class Location_Widget extends WP_Widget {
  
  	function Location_Widget() {	
  		$widget_ops = array( 'classname' => 'Location_Widget', 'description' => __("ابزارک نمایش در پانوشت و نمایش شماره تماس و آدرس ایمیل.", 'framework') );
  		$this->WP_Widget( 'Location_Widget', 'mePress : ابزارک اطلاعات در فوتر', $widget_ops);
  	}
  	
  	function form($instance) {
  			
  		$instance = wp_parse_args( (array) $instance, array( 
		                                                  'title' => 'محل کار',
														  'address' => 'آدرس محل کار خود/ تهران / اندیشه /....', 
														  'phone' => '+98 123 4567', 
														  'email' => 'info@yoursite.com' 
														));
        
		$title= esc_attr($instance['title']);
        $address = esc_attr($instance['address']);
		$phone = esc_attr($instance['phone']);
		$email = esc_attr($instance['email']);
  
  		        ?>
                <p>
			            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('عنوان ابزارک', 'framework'); ?></label>
			            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		        </p>
                
  				<p>
  		                <label for="<?php echo $this->get_field_id('address'); ?>"><?php _e( 'آدرس:', 'framework') ?></label>
  		                <input class="widefat" id="<?php echo $this->get_field_id('address'); ?>" name="<?php echo $this->get_field_name('address'); ?>" type="text" value="<?php echo $address; ?>" />
  		        </p>
  		        
                <p>
  		                <label for="<?php echo $this->get_field_id('phone'); ?>"><?php _e( 'شماره تماس:', 'framework') ?></label>
  		                <input class="widefat" id="<?php echo $this->get_field_id('phone'); ?>" name="<?php echo $this->get_field_name('phone'); ?>" type="text" value="<?php echo $phone; ?>" />
  		        </p>
                
                <p>
  		                <label for="<?php echo $this->get_field_id('email'); ?>"><?php _e( 'آدرس ایمیل:', 'framework') ?></label>
  		                <input class="widefat" id="<?php echo $this->get_field_id('email'); ?>" name="<?php echo $this->get_field_name('email'); ?>" type="text" value="<?php echo $email; ?>" />
  		        </p>  		  		  					  		
  		        <?php
    }
  
  	function update($new_instance, $old_instance) 
  	{
		$instance = $old_instance;  		
		
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['address'] = strip_tags($new_instance['address']);
		$instance['phone'] = strip_tags($new_instance['phone']);
		$instance['email'] = strip_tags($new_instance['email']);
		
		return $instance;  
	}
  
  	function widget($args, $instance) {
  	
  		extract($args);
        
		$title = apply_filters('widget_title', $instance['title']);		
			if ( empty($title) ) 
					$title = false;
		
        $address = $instance['address'];
		$phone = $instance['phone'];
		$email = $instance['email'];

		
  		echo $before_widget;		
		
		if($title):
			echo $before_title;
				echo $title;
			echo $after_title;	
		endif;
		
  		    ?>   
            <p><?php echo $address; ?></p>
            <p><span><?php _e("شماره:", 'framework'); ?></span> <?php echo $phone; ?></p>
            <p><span><?php _e("ایمیل:", 'framework'); ?></span> <a href="mailto:<?php echo $email; ?>"><?php echo $email; ?></a></p>               
            <?php	
				  
        echo $after_widget;		  
  	}
	  
}